#pragma rtGlobals=1		// Use modern global access method.

Menu "tClamp18"
	SubMenu "Oscillo Protocols"
		"E7PM7A_Sine_Injection", tClamp18SetE7PM7A_Sine_Inject() // any name of setting protocol
	End
End

Function tClamp18SetE7PM7A_Sine_Inject() 					//any name of setting protocol
	tClamp18_FolderCheck()
	String fldrSav0= GetDataFolder(1)
	SetDataFolder root:Packages:tClamp18

	String/G SelectedProtocol = "tClamp18_E7PM7A_Sine_Inj()"	// any name of protocol
	String/G StrITC18SeqDAC = "0012"				// must be same length
	String/G StrITC18SeqADC = "0124"
	Variable/G RecordingCheckADC0 = 1			//Select recording channels
	Variable/G RecordingCheckADC1 = 1
	Variable/G RecordingCheckADC2 = 1
	Variable/G RecordingCheckADC3 = 0
	Variable/G RecordingCheckADC4 = 1
	Variable/G RecordingCheckADC5 = 0
	Variable/G RecordingCheckADC6 = 0
	Variable/G RecordingCheckADC7 = 0
	Variable/G OscilloCmdPulse0 = 0.5
	Variable/G OscilloCmdPulse1 = 0.5
	Variable/G OscilloCmdPulse2 = 0.125
	Variable/G OscilloCmdPulse3 = 0.25
	Variable/G OscilloCmdPulse4 =0.125
	Variable/G OscilloCmdPulse5 = 0.25
	Variable/G OscilloCmdPulse6 = 0.25
	Variable/G OscilloCmdPulse7 = 0.25
	Variable/G OscilloCounterLimit = 10				//Sweep number
	Variable/G OscilloSamplingNpnts = 50000			//Number of Sampling Points at each channel
	Variable/G OscilloITC18ExtTrig = 0				//0: off, 1: on
	Variable/G OscilloITC18Output = 1				//0: off, 1: on
	Variable/G OscilloITC18Overflow = 1				//0: 
	Variable/G OscilloITC18Reserved = 1			// Reserved
	Variable/G OscilloITC18Period = 20				// must be between 4 and 65535. Each sampling tick is 1.25 micro sec.
	
	//////////////////////////////
	Variable/G SineHertz = 1
	If(WinType("WinSineHertz") == 0)
		PauseUpdate
		NewPanel/N=WinSineHertz/W=(4.5, 41, 104.25, 69.5)
		SetVariable SetvarSineHertz,pos={16,9},size={100,16},title="Sine (Hz)",value= root:Packages:tClamp18:SineHertz
	endif
	//////////////////////////////

	tClamp18ApplyProtocolSetting()

	SetDataFolder fldrSav0
end

Function tClamp18_E7PM7A_Sine_Inj() //same as StrAcquisitionProcName and SelectedProtocol
	NVAR bit = root:Packages:tClamp18:RecordingBit

	NVAR SineHertz = root:Packages:tClamp18:SineHertz	//

	Variable i = 0
	For(i = 0; i < 8; i += 1)
		If(bit & 2^i)
			Wave OscilloADC = $("root:Packages:tClamp18:OscilloADC" + Num2str(i))
			NVAR OscilloCmdPulse = $("root:Packages:tClamp18:OscilloCmdPulse" + Num2str(i))		//
			NVAR OscilloCmdOnOff = $("root:Packages:tClamp18:OscilloCmdOnOff" + Num2str(i))		//

			If(OscilloCmdOnOff)
				OscilloADC[0, ] = OscilloCmdPulse*sin(2*pi*x*SineHertz)	// create DAC output data in volt
				OscilloADC *= 3200										// scale into point
			else
				OscilloADC[0, ] = 0
				OscilloADC *= 3200
			endif
		endif
	endFor
end


