#pragma rtGlobals=1		// Use modern global access method.

//EPC7PLUS & MultiClamp700A_TTL_Pharm

Menu "tClamp18"
	SubMenu "Oscillo Protocols"
		"E7PM7A_TTL_Pharm_EPC7", tClamp18SetProE7PPM7A_TTL_P7() // any name of setting protocol
	End
End

Function tClamp18SetProE7PPM7A_TTL_P7() 					//any name of setting protocol
	tClamp18_FolderCheck()
	String fldrSav0= GetDataFolder(1)
	SetDataFolder root:Packages:tClamp18
	
	String/G SelectedProtocol = "tClamp18_E7PM7A_TTL_Pharm_7_ISI()"	// any name of protocol
	String/G StrITC18SeqDAC = "0D"				// must be same length
	String/G StrITC18SeqADC = "01"
	
	Variable/G RecordingCheckADC0 = 1			//Select recording channels
	Variable/G RecordingCheckADC1 = 1
	Variable/G RecordingCheckADC2 = 0
	Variable/G RecordingCheckADC3 = 0
	Variable/G RecordingCheckADC4 = 0
	Variable/G RecordingCheckADC5 = 0
	Variable/G RecordingCheckADC6 = 0
	Variable/G RecordingCheckADC7 = 0
	Variable/G OscilloCmdPulse0 = -0.05
	Variable/G OscilloCmdPulse1 = -0.05
	Variable/G OscilloCmdPulse2 = 0.25
	Variable/G OscilloCmdPulse3 = 0.25
	Variable/G OscilloCmdPulse4 = 0.25
	Variable/G OscilloCmdPulse5 = 0.25
	Variable/G OscilloCmdPulse6 = 0.25
	Variable/G OscilloCmdPulse7 = 0.25
	Variable/G OscilloCounterLimit = 0				//Sweep number
	Variable/G OscilloSamplingNpnts = 51200			//Number of Sampling Points at each channel
	Variable/G OscilloITC18ExtTrig = 0				//0: off, 1: on
	Variable/G OscilloITC18Output = 1				//0: off, 1: on
	Variable/G OscilloITC18Overflow = 1				//0: 
	Variable/G OscilloITC18Reserved = 1			// Reserved
	Variable/G OscilloITC18Period = 8				// must be between 4 and 65535. Each sampling tick is 1.25 micro sec.

	tClamp18ApplyProtocolSetting()
	
	SetDataFolder fldrSav0
end

Function tClamp18_E7PM7A_TTL_Pharm_7_ISI() //same as StrAcquisitionProcName
	NVAR bit = root:Packages:tClamp18:RecordingBit

	Variable i = 0
	For(i = 0; i < 8; i += 1)
		If(bit & 2^i)
			Wave OscilloADC = $("root:Packages:tClamp18:OscilloADC" + Num2str(i))
			NVAR OscilloCmdPulse = $("root:Packages:tClamp18:OscilloCmdPulse" + Num2str(i))		//
			NVAR OscilloCmdOnOff = $("root:Packages:tClamp18:OscilloCmdOnOff" + Num2str(i))		//

			If(OscilloCmdOnOff)
				OscilloADC[0, trunc(numpnts(OscilloADC)*0.02) - 1] = 0					// create output data in volt
				OscilloADC[trunc(numpnts(OscilloADC)*0.02), trunc(numpnts(OscilloADC)*0.02) + trunc(0.01/deltax(OscilloADC)) - 1] = OscilloCmdPulse
				OscilloADC[trunc(numpnts(OscilloADC)*0.02) + trunc(0.01/deltax(OscilloADC)), ] = 0
				OscilloADC *= 3200						// scale into point
			else
				OscilloADC[0, ] = 0
				OscilloADC *= 3200
			endif
		endif
	endFor

	Wave DigitalOut1 = $"root:Packages:tClamp18:DigitalOut1"	//Output Wave for DigitalOut1
	NVAR StimulatorCheck = root:Packages:tClamp18:StimulatorCheck
	
	If(StimulatorCheck)
		tClamp18UseStimulator()
	else
		DigitalOut1 = 0
	endIf
end
