#pragma rtGlobals=1		// Use modern global access method.

Menu "tClamp18"
	SubMenu "Oscillo Protocosl"
		"M700A_Step_Injection", tClamp18SetM700A_Step_Inj() // any name of setting protocol
	End
End

Function tClamp18SetM700A_Step_Inj() 					//any name of setting protocol
	tClamp18_FolderCheck()
	String fldrSav0= GetDataFolder(1)
	SetDataFolder root:Packages:tClamp18

	String/G SelectedProtocol = "tClamp18_M700A_Step_Inj()"	// any name of protocol
	String/G StrITC18SeqDAC = "12"				// must be same length
	String/G StrITC18SeqADC = "24"
	Variable/G RecordingCheckADC0 = 0			//Select recording channels
	Variable/G RecordingCheckADC1 = 0
	Variable/G RecordingCheckADC2 = 1
	Variable/G RecordingCheckADC3 = 0
	Variable/G RecordingCheckADC4 = 1
	Variable/G RecordingCheckADC5 = 0
	Variable/G RecordingCheckADC6 = 0
	Variable/G RecordingCheckADC7 = 0
	Variable/G OscilloCmdPulse0 = 0.25
	Variable/G OscilloCmdPulse1 = 0.25
	Variable/G OscilloCmdPulse2 = 0.125
	Variable/G OscilloCmdPulse3 = 0.25
	Variable/G OscilloCmdPulse4 =0.125
	Variable/G OscilloCmdPulse5 = 0.25
	Variable/G OscilloCmdPulse6 = 0.25
	Variable/G OscilloCmdPulse7 = 0.25
	Variable/G OscilloCounterLimit = 10				//Sweep number
	Variable/G OscilloSamplingNpnts = 10240			//Number of Sampling Points at each channel
	Variable/G OscilloITC18ExtTrig = 0				//0: off, 1: on
	Variable/G OscilloITC18Output = 1				//0: off, 1: on
	Variable/G OscilloITC18Overflow = 1				//0: 
	Variable/G OscilloITC18Reserved = 1			// Reserved
	Variable/G OscilloITC18Period = 40				// must be between 4 and 65535. Each sampling tick is 1.25 micro sec.

	tClamp18ApplyProtocolSetting()

	SetDataFolder fldrSav0
end

Function tClamp18_M700A_Step_Inj() //same as StrAcquisitionProcName and SelectedProtocol
	NVAR bit = root:Packages:tClamp18:RecordingBit
	NVAR OscilloCounter = root:Packages:tClamp18:OscilloCounter
	
	Variable i = 0
	For(i = 0; i < 8; i += 1)
		If(bit & 2^i)
			Wave OscilloADC = $("root:Packages:tClamp18:OscilloADC" + Num2str(i))
			NVAR OscilloCmdPulse = $("root:Packages:tClamp18:OscilloCmdPulse" + Num2str(i))		//
			NVAR OscilloCmdOnOff = $("root:Packages:tClamp18:OscilloCmdOnOff" + Num2str(i))		//
	
			If(OscilloCmdOnOff)
				OscilloADC[0, trunc(numpnts(OscilloADC)*0.2) - 1] = 0					// create DAC output data in volt
				OscilloADC[trunc(numpnts(OscilloADC)*0.2),  trunc(numpnts(OscilloADC)*0.8 - 1)] = (-3 + OscilloCounter)*OscilloCmdPulse
				OscilloADC[trunc(numpnts(OscilloADC)*0.8), ] = 0
				OscilloADC *= 3200					// scale into point
			else
				OscilloADC[0, ] = 0
				OscilloADC *= 3200
			endif
		endif
	endFor
end

